Commit 34b78706 authored by Lukáš Krupčík's avatar Lukáš Krupčík
Browse files

Merge branch 'it4i-salomon'

parents 2d9dc359 72cdd49c
...@@ -16,6 +16,9 @@ source_urls = [ ...@@ -16,6 +16,9 @@ source_urls = [
'http://xkbcommon.org/download/', 'http://xkbcommon.org/download/',
'http://cgit.freedesktop.org/xorg/util/macros/snapshot', 'http://cgit.freedesktop.org/xorg/util/macros/snapshot',
'http://www.x.org/pub/individual/data', 'http://www.x.org/pub/individual/data',
'https://www.x.org/pub/individual/font',
'https://www.x.org/pub/individual/app',
'https://www.x.org/pub/individual/xserver'
] ]
dependencies = [ dependencies = [
...@@ -23,6 +26,9 @@ dependencies = [ ...@@ -23,6 +26,9 @@ dependencies = [
('fontconfig', '2.12.1', '-libpng-1.6.29'), ('fontconfig', '2.12.1', '-libpng-1.6.29'),
('freetype', '2.7.1', '-libpng-1.6.29'), ('freetype', '2.7.1', '-libpng-1.6.29'),
('zlib', '1.2.11'), ('zlib', '1.2.11'),
('Mesa', '17.0.2', '', ('intel', '2017a')),
('nettle', '3.3', '', ('intel', '2017a')),
('XKeyboardConfig', '2.21'),
] ]
builddependencies = [ builddependencies = [
('Autotools', '20150215'), ('Autotools', '20150215'),
...@@ -39,6 +45,15 @@ common_specs = { ...@@ -39,6 +45,15 @@ common_specs = {
'sources': [SOURCE_TAR_GZ], 'sources': [SOURCE_TAR_GZ],
'start_dir': '%(name)s-%(version)s', 'start_dir': '%(name)s-%(version)s',
} }
server_specs = {
'sources': [SOURCE_TAR_GZ],
'start_dir': '%(name)s-%(version)s',
'configopts': '--disable-glamor --enable-suid-wrapper --disable-systemd-logind',
}
components = [ components = [
('xorg-macros', '1.19.1', { # 2017-01-29 ('xorg-macros', '1.19.1', { # 2017-01-29
'sources': ['util-macros-%(version)s.tar.gz'], 'sources': ['util-macros-%(version)s.tar.gz'],
...@@ -56,6 +71,7 @@ components = [ ...@@ -56,6 +71,7 @@ components = [
('glproto', '1.4.17', common_specs), # 2013-12-10 ('glproto', '1.4.17', common_specs), # 2013-12-10
('inputproto', '2.3.2', common_specs), # 2016-04-04 ('inputproto', '2.3.2', common_specs), # 2016-04-04
('kbproto', '1.0.7', common_specs), # 2015-05-01 ('kbproto', '1.0.7', common_specs), # 2015-05-01
('xkbdata', '1.0.1', common_specs),
('presentproto', '1.1', common_specs), # 2017-01-26 ('presentproto', '1.1', common_specs), # 2017-01-26
('randrproto', '1.5.0', common_specs), # 2015-05-17 ('randrproto', '1.5.0', common_specs), # 2015-05-17
('recordproto', '1.14.2', common_specs), # 2012-03-23 ('recordproto', '1.14.2', common_specs), # 2012-03-23
...@@ -112,6 +128,7 @@ components = [ ...@@ -112,6 +128,7 @@ components = [
('libpciaccess', '0.13.4', common_specs), # 2015-05-01 ('libpciaccess', '0.13.4', common_specs), # 2015-05-01
('libxkbfile', '1.0.9', common_specs), # 2015-05-01 ('libxkbfile', '1.0.9', common_specs), # 2015-05-01
('libxshmfence', '1.2', common_specs), # 2015-01-02 ('libxshmfence', '1.2', common_specs), # 2015-01-02
('xkbcomp', '1.4.0', common_specs),
('xcb-util', '0.4.0', common_specs), # 2014-10-15 ('xcb-util', '0.4.0', common_specs), # 2014-10-15
('xcb-util-image', '0.4.0', common_specs), # 2014-10-15 ('xcb-util-image', '0.4.0', common_specs), # 2014-10-15
('xcb-util-keysyms', '0.4.0', common_specs), # 2014-10-01 ('xcb-util-keysyms', '0.4.0', common_specs), # 2014-10-01
...@@ -119,6 +136,16 @@ components = [ ...@@ -119,6 +136,16 @@ components = [
('xcb-util-wm', '0.4.1', common_specs), # 2014-02-19 ('xcb-util-wm', '0.4.1', common_specs), # 2014-02-19
('xcb-util-cursor', '0.1.3', common_specs), # 2016-05-12 ('xcb-util-cursor', '0.1.3', common_specs), # 2016-05-12
('xcursor-themes', '1.0.4', common_specs), ('xcursor-themes', '1.0.4', common_specs),
('font-util', '1.3.1', common_specs),
('encodings', '1.0.4', common_specs),
('font-alias', '1.0.3', common_specs),
('font-adobe-utopia-type1', '1.0.4', common_specs),
('font-bh-ttf', '1.0.3', common_specs),
('font-bh-type1', '1.0.3', common_specs),
('font-ibm-type1', '1.0.3', common_specs),
('font-misc-ethiopic', '1.0.3', common_specs),
('font-xfree86-type1', '1.0.4', common_specs),
('xorg-server', '1.19.3', server_specs),
] ]
# Python is required for xcb-proto # Python is required for xcb-proto
......
...@@ -19,7 +19,7 @@ configopts = '--disable-glamor --enable-suid-wrapper --disable-systemd-logind' ...@@ -19,7 +19,7 @@ configopts = '--disable-glamor --enable-suid-wrapper --disable-systemd-logind'
dependencies = [ dependencies = [
('Mesa', '17.0.2'), ('Mesa', '17.0.2'),
('X11', '20170314', '', True), ('X11', '20170314', '-test', True),
('nettle', '3.3'), ('nettle', '3.3'),
('XKeyboardConfig', '2.21', '', True) ('XKeyboardConfig', '2.21', '', True)
] ]
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment